import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { Ad_data_report_ten_minutes_report_form } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-14 12:51
 */
interface Ad_data_report_ten_minutes_report_formCU extends ConditionUtil<Ad_data_report_ten_minutes_report_formCU> {
    ID: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    DATE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    MINUTE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    AD_DELIVERY_PLAN_ID: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    AD_INFO_ID: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    AD_POSITION_ID: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    AD_MATERIAL_ID: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    REQUEST_TIMES: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    REQUEST_PEOPLE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    IMPRESSION_TIMES: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    IMPRESSION_PEOPLE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    CLICK_TIMES: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    CLICK_PEOPLE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    ACTION_TIMES: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    ACTION_PEOPLE: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    CREATE_TIME: FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
}
declare class Ad_data_report_ten_minutes_report_formMU extends TableUtilImpl<Ad_data_report_ten_minutes_report_formCU, Ad_data_report_ten_minutes_report_form> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): Ad_data_report_ten_minutes_report_formCU;
    static get ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get DATE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get MINUTE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get AD_INFO_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get AD_POSITION_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get REQUEST_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get REQUEST_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get IMPRESSION_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get IMPRESSION_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get CLICK_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get CLICK_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get ACTION_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get ACTION_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    static get CREATE_TIME(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get DATE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get MINUTE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get AD_INFO_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get AD_POSITION_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get REQUEST_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get REQUEST_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get IMPRESSION_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get IMPRESSION_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get CLICK_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get CLICK_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get ACTION_TIMES(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get ACTION_PEOPLE(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
    get CREATE_TIME(): FieldUtil<Ad_data_report_ten_minutes_report_formCU>;
}
export { Ad_data_report_ten_minutes_report_formMU, Ad_data_report_ten_minutes_report_formCU };
